[@bigcommerce/checkout-sdk](../README.md) / ExtensionSelector

# Interface: ExtensionSelector

## Table of contents

### Methods

- [getExtensionByRegion](ExtensionSelector.md#getextensionbyregion)
- [getExtensions](ExtensionSelector.md#getextensions)
- [getLoadError](ExtensionSelector.md#getloaderror)
- [isLoading](ExtensionSelector.md#isloading)

## Methods

### getExtensionByRegion

▸ **getExtensionByRegion**(`region`): `undefined` \| [`Extension`](Extension.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `region` | [`ExtensionRegion`](../enums/ExtensionRegion.md) |

#### Returns

`undefined` \| [`Extension`](Extension.md)

___

### getExtensions

▸ **getExtensions**(): `undefined` \| [`Extension`](Extension.md)[]

#### Returns

`undefined` \| [`Extension`](Extension.md)[]

___

### getLoadError

▸ **getLoadError**(): `undefined` \| `Error`

#### Returns

`undefined` \| `Error`

___

### isLoading

▸ **isLoading**(): `boolean`

#### Returns

`boolean`
